# EVM Scaffolding CLI

A CLI frontend repo for EVM scaffolding that allows users to choose dependencies to install and modifies scripts based on user input.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

### Prerequisites

You need Node.js installed on your machine to run this project. You can download Node.js from [here](https://nodejs.org/).

### Installing

Clone the repository to your local machine:

```
git clone `placeholder`
```

Navigate to the project directory:

```
cd evm-scaffolding-cli
```

Install the dependencies:

```
npm install
```

### Usage

To start the application, run:

```
npm start
```

Follow the prompts in the CLI to choose the dependencies you want to install.

## Running the tests

To run the tests, use:

```
npm test
```

## Built With

* [Inquirer](https://www.npmjs.com/package/inquirer) - A collection of common interactive command line user interfaces.
* [Jest](https://jestjs.io/) - A delightful JavaScript Testing Framework with a focus on simplicity.
* [ESLint](https://eslint.org/) - A tool for identifying and reporting on patterns found in ECMAScript/JavaScript code.
* [Prettier](https://prettier.io/) - An opinionated code formatter.

## Authors

* **Seranged** - [Seranged](https://github.com/Seranged)

## License

This project is licensed under the MIT License - see the [LICENSE.md](https://github.com/seranged/evm-scaffolding-cli/LICENSE.md) file for details
